path: /build/build/mark-kits-seed-0.20260406.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  - GIT_HISTORY_ENTRIES=30000
  - JOBS=10
  - LUET_YES=true
  - LUET_NOLOCK=true
  prelude:
  - anise subsets enable portage devel && anise i --sync-repos repository/mottainai-stable
    && anise install --sync-repos --force dev-util/pkgs-checker utils/yq utils/jq
    system/luet-devkit mark-devkit app-admin/anise-portage-converter toolchain/base
    toolchain/meta-geaaru-kit virtual/base dev-lang/go git && anise install app-admin/entities
    --sync-repos && anise upgrade && anise cleanup && mv kits-versions / && rm -rf
    /var/git/meta-repo/ && mkdir -p /tmp/ && chmod a+rw /tmp && sed -e 's|^release.*|release
    = mark-xl|g' /etc/ego.conf  -i && ego sync && ego profile arch x86-64bit && ego
    profile build mark && ego profile subarch generic_64 && ego profile flavor core
    && cd /var/git/meta-repo/kits && chown root:root -R /var/git/meta-repo/kits &&
    rm -rf * && mark-devkit kit clone --specfile /kits-versions/kits.yaml --to /var/git/meta-repo/kits
    --deep $GIT_HISTORY_ENTRIES --concurrency $JOBS --generate-reposcan-files --kit-cache-dir
    /kit-cache/ && cp /kits-versions/kits.yaml /kit-cache/ && mkdir /layer
  image: macaronios/terragon-minimal-devel:latest-amd64
  seed: macaronios/terragon-minimal-devel:latest-amd64
  package:
    name: mark-kits
    version: "0.20260406"
    category: seed
    hidden: true
    buildtimestamp: 2026-04-06 20:44:08.529950874 +0000 UTC m=+396.692618467
    treedir: /build/packages
  package_dir: /layer
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-mark-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 46995db4b389b894d512d6d1114535e02adf710a54ca68837fead903aef5c022
compressiontype: zstd
files: []
package_cacheimage: ""
runtime:
  name: mark-kits
  version: "0.20260406"
  category: seed
  hidden: true
